Not looking at the right Gem lib

I just recently installed RubyMine on my Mac OS X.

It seems that RubyMine is detecting the native install of Ruby/Gems on Mac OSX and not my MacPort installation.  I tried looking for a config setting of some kind but couldn't find it. Does anyone know where I can configure this setting?

9 comments
Comment actions Permalink

I had the same problem (mac os x + ruby via macports).  In the Settings dialog (see attached image) you can change the ruby sdk (Settings -> Project Structure -> Ruby SDK and Gems -> Add SDK).

As soon as you have a correct 'Ruby Interpreter' selected, everything should work just fine.

Austin



Attachment(s):
Picture 6.jpeg
0
Comment actions Permalink

Hm... I take that back.  This change caused other problems.

0
Comment actions Permalink

And what kind of problems? I have 2 ruby interpreters installed in my version of RubyMine (Ruby and JRuby). As for the default behavior - if Ruby interpreter (Ruby SDK) isn't set RubyMine will try to search "ruby" in system PATH and automatically create SDK settings for it.

0
Comment actions Permalink

I have a similar problem.. I added my custom 1.8.7 SDK but it still wont pickup gems at all..  I just have the option to install remote gems

0
Comment actions Permalink

I have this problem as well I am running Mac OSX 10.5.6 and RubyMine build 824.  When I checked the Ruby SDK settings nothing had been detected, I then manually added my Ruby 1.8.6 SDK at /usr/local/bin/ruby but the gems still aren't detected and I only have the option to install remote gems.  My default gem directory (from command line) is /usr/local/lib/ruby/gems/1.8 and my gem tool is version 1.3.1

I also have the default OSX install of Ruby (/usr/bin/ruby) and Gems (/Library/Ruby/Gems/1.8).  Netbeans detects both sets of Ruby / Gems but RubyMine doesn't.

In the meantime I will continue to manage gems via command line but I hope this problem can be resolved soon as RubyMine looks extremely promising.

0
Comment actions Permalink

I have a similar problem on Ubuntu 8.10 with IDEA and the Ruby plugin

gem environment:
RubyGems Environment:
  - RUBYGEMS VERSION: 1.2.0
  - RUBY VERSION: 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]
  - INSTALLATION DIRECTORY: /var/lib/gems/1.8
  - RUBY EXECUTABLE: /usr/bin/ruby1.8
  - EXECUTABLE DIRECTORY: /var/lib/gems/1.8/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-linux
  - GEM PATHS:
     - /var/lib/gems/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://gems.rubyforge.org/

Note that the gems are actuall installed in /var/lib/gems and not in /usr/lib/ruby/1.8/gems
I think the problem has do do somehow with this, but I couldn't find a way for convincing IDEA to find the gems...

0
Comment actions Permalink

Does it show any gems in attach dialog when any project is open?
If so, there's a bug for it - http://www.jetbrains.net/jira/browse/RUBY-3598. Feel free to vote, track status and comment it.

0
Comment actions Permalink

Same problem on Vista. No gems found.

0
Comment actions Permalink

Would some be so kind as to post a screenshot of the ruby SDK settings dialog?  Like what directory is under the "Gems bin directory:", what locations are in the Classpath, etc.

0

Please sign in to leave a comment.